User visible changes in the firmware version 3.0.2 since version 3.0.0.

                                 Highlights.

1. Fix problem on receivers with small memory delaying all the output
   when output to UDP is enabled.

2. Fixed loss of atmosphere corrections after loss of solution.

3. User defined iono model data is now used when only GLONASS
   satellites are used in position solution.

4. Support of GPS PRN01 L5 tracking has been added.

5. Jumps in pseudorange of GIOVE_A (due to incorrect data stream from the
   satellite) have been removed.

6. The value of position computation indicator in the [NP] message
   when position output is disabled by option has been fixed.

7. In receivers with single antenna input, the parameter
   "/par/ant/inp" could be now set to its only allowed value without
   receiver generating [ER] reply.

8. Sensitivity of GLONASS and SBAS acquisition for TR and TRE boards has
   been increased.

9. Noise of P, L2C and L5 codes SNR computation has been decreased.

10. [Ld] message (raw GLONASS P1 data ) has been added.

11. Support for external disk has been improved.

12. The default set of messages has been changed to include x4
    versions of SNR messages ([CE], [1E], [2E], [3E], [5E]) instead of
    x1 versions ([EC], [E1], [E2], [E3], [E5]).

13. BINEX: support for 7E_00 message (meteo) added.

14. Fix bug resulted in '/par/rover/mode/rtcm' being set instead of
    '/par/rover/mode/rtcm3' when 'imode' of some port is set to
    'rtcm3'.

15. Multipath reduction technique has been improved.

16. Parameters for input of user defined meteo data for tropospheric
    model were implemented.

17. Fix bug in the computation of SBAS satellite's coordinates.

18. Fix bugs of the mode of ionofree combination's computation.

19. Fix problem with clock filter smoothing interval.

20. Separate parameters for using of navigation system in position
    computation were implemented.

21. New parameters for RMS limits for position computation were
    implemented.

22. BINEX: fixed bug with SNR in 7F_03 record being 4x of the correct
    value.

23. Fix bug with 1 second accuracy in IRIG on receivers without Glonass.

24. [EN] message: added new field.


                          More Detailed Description
                    (refer to GREIS for even more details)


                                 1. Messages.

1.1 [Ld] Raw GLONASS P1 data.

The format of this message matches those of [LD] message.

1.2 [rr] and [vr] Range and radial velocity residuals.

struct RngResidual {4*nSats+1} {
! f4 res[nSats];  // Range residuals, [meters]
  u1 cs;          // Checksum
};

struct VelResidual {4*nSats+1} {
! f4 res[nSats];  // Radial velocity residuals, [meters]
  u1 cs;          // Checksum
};

1.3 [EN] GALILEO ephemeris

The filed 'navType' has been added to the format.

                                 2. Parameters.


2.1 New parameters for user-defined ionospheric model.

User defined ionospheric model for the cases when data for GPS
ionospheric model are not available.

2.1.1 Enable User-defined Ionospheric Model.

Name:           /par/pos/sp/iono/user/mode
Access:         rw
Type:           boolean
Values:         on,off
Default:        on

This parameter enables/disables the use of user defined ionospheric
Klobuchar model data for the cases when GPS ionospheric model data is
not available.

2.1.2 Parameters for Klobuchar Model.

Name:           /par/pos/sp/iono/user/data
Access:         rw
Type:           array [0..7] of float
Values:         {
  -(1.0/8388608) .. (1.0/8388608),
  -(1.0/1048576) .. (1.0/1048576),
  -(1.0/131072) ..  (1.0/131072),
  -(1.0/131072) ..  (1.0/131072),
  -262144.0 .. 262144.0,
  -2097152.0 .. 2097152.0,
  -8388608.0 .. 8388608.0,
  -8388608.0 .. 8388608.0
 }
Default:        {
  1.0244548e-08,
  1.4901161e-08,
  -5.9604645e-08,
  -1.1920929e-07,
  88064.0,
  32768.0,
  -196608.0,
  -196608.0}

This parameter sets the user defined ionospheric Klobuchar model data
for the cases when GPS ionospheric model data is not available.

2.2 New parameters for user-defined meteo data for using in tropospheric model.

User defined meteo data for using in tropospheric model for the cases
when user has meteo data from external sources (sensors).

2.2.1 Enable User-defined Tropospheric Model.

Name:           /par/pos/sp/tropo/user/mode
Access:         rw
Type:           boolean
Values:         on,off
Default:        off

This parameter enables/disables the use of user defined meteo
parameters (such as temperature, pressure and so on) in tropospheric
model instead default values for the cases when user has meteo data
from external sources.

2.2.2 Parameters for tropospheric model.

Name:           /par/pos/sp/tropo/user/data
Access:         rw
Type:           array [0..4] of float or "N/A" strings
Values:         {
  500.0 ..  2000.0, // pressuree, [mbar]
  173   ..  373,    // temperature, [K]
  0     ..  100,    // water vapor pressure, [mbar]
  0     ..  0.02,   // temperature lapse rate, [K/m]
  0     ..  5.0     // water vapor pressure lapse rate, [dimensionless]
 }
Default:        {
  N/A,
  N/A,
  N/A,
  N/A,
  N/A}

This parameter sets the user defined meteo data for tropospheric model
for the cases when user has meteo data from external sources. If some
data defined as N/A then tropospheric model uses default algorith for
this data.

2.3 New parameters for separate control of using of
    navigation system in PVT solution.

Name:           /par/pos/sys/gps
Access:         rw
Type:           boolean
Values:         on,off
Default:        on

Name:           /par/pos/sys/glo
Access:         rw
Type:           boolean
Values:         on,off
Default:        on

Name:           /par/pos/sys/gal
Access:         rw
Type:           boolean
Values:         on,off
Default:        off

Name:           /par/pos/sys/sbas
Access:         rw
Type:           boolean
Values:         on,off
Default:        off

2.4 New parameters for limitation of RMS of PVT solution :

    These parameters will be used instead of old parameters
    /par/pos/maxrms/hor, /par/pos/maxrms/vert, /par/pos/maxrms/clock

2.4.1 Parameter for limitation of RMS of position solution

Name:           /par/pos/hrms
Access:         rw
Type:           float
Values:         [0 .. 10000] // meters
Default:        100

Name:           /par/pos/vrms
Access:         rw
Type:           float
Values:         [0 .. 10000] // meters
Default:        150

Name:           /par/pos/trms
Access:         rw
Type:           float
Values:         [0 .. 10000] // meters
Default:        150

2.4.2 Parameter for limitation of RMS of velocity solution

Name:           /par/pos/vhrms
Access:         rw
Type:           float
Values:         [0 .. 100] // meters
Default:        1.0

Name:           /par/pos/vvrms
Access:         rw
Type:           float
Values:         [0 .. 100] // meters
Default:        1.5

Name:           /par/pos/vtrms
Access:         rw
Type:           float
Values:         [0 .. 100] // meters
Default:        1.5


                                  4. Options.

No changes.

                                  5. Commands.

<END>
